package com.bocloud.cmp.provider.kubernetes;

import com.bocloud.cmp.model.kubernetes.ServiceModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

/**
 * k8s service
 *
 * @时间 2019年8月21日
 */
public interface ServiceProvider extends SuperProvider {
    public BocloudResult list();

    public BocloudResult create(ServiceModel model);

    public BocloudResult remove(ServiceModel model);

    public BocloudResult detail(ServiceModel model);

    public BocloudResult modify(ServiceModel model);
}
